Subject: FVWM: Strange menu behaviour

From: stu <[email-masked]>
Date: Thu, 31 Jul 2003 20:04:40 +0200

Hi everyone

I'm using fvwm 2.5.7. When I popup a menu using my mouse eg

Mouse 3   R  A  Menu Debian

the mouse pointer is positioned on the title of the menu.
However, when I popup a menu using a shortcut key eg

Key   Escape    A     C     Menu Debian

the mouse pointer is positioned on the first item *under* the menu
title. When I use the 'Popup' command the result is the same. If I use a
different shortcut key the result is the same.

Does anyone know if this is normal for fvwm, and if so, how I might
achieve having my mouse pointer positioned on the menu title, rather
than on the first item under the title, when I pop the menu up from a
shortcut key? 

I have tried creating a function that moves my mouse pointer after the
menu has been popped up :

AddToFunc PopupRootMenu         I Menu Debian
+                               I CursorMove 0p -10p

but this only moves my mouse pointer after the menu has terminated.

Yours stuck
-- 
Stuart Logie
Programmer

UNIVERSAL COMPUTER SERVICES (PTY) LTD
Tel : (011) 712 1371   Cell : 082 902 5632
Fax : (011) 339 3421
Internet : http://ucs.co.za
Email    : [email-masked]

To err is human,
To purr feline.
                -- Robert Byrne

Powered by Debian GNU/Linux - testing/unstable
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].